### Constructor

# Gtk.EntryBuffer.new

#### Declaration [src]

    GtkEntryBuffer*
    gtk_entry_buffer_new (
      const char* initial_chars,
      int n_initial_chars
    )

#### Description [src]

Create a new `GtkEntryBuffer` object.

Optionally, specify initial text to set in the buffer.

#### Parameters

`initial_chars` | `const char*`
| initial buffer text, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`n_initial_chars` | `int`
| number of characters in `initial_chars`, or -1

#### Return value

Returns: `GtkEntryBuffer`
A new `GtkEntryBuffer` object.
Ownership of the data is transferred to the caller